Bulk upgrade agents
- Base URL
-
https://{kibana_url}
-
POST
/api/fleet/agents/bulk_upgrade
-
POST
/s/{space_id}/api/fleet/agents/bulk_upgrade
Auth
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
Kibana's anti Cross-Site Request Forgery token. Can be any string value.
-
agents
union string | string[]
required
-
force
boolean
-
Force upgrade, skipping validation (should be used with caution)
-
rollout_duration_seconds
number
-
rolling upgrade window duration in seconds
-
skipRateLimitCheck
boolean
-
Skip rate limit check for upgrade
-
source_uri
string
-
alternative upgrade binary download url
-
start_time
string
-
start time of upgrade in ISO 8601 format
-
version
string
required
-
version to upgrade to
Thank you for your feedback.